%define majver %(echo %version | cut -d. -f1-2)

Name:          kasts
Version:       25.03.80
Release:       1mamba
Summary:       A KDE Plasma convergent podcast application
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org
Source:        https://download.kde.org/%{stable_kde6}/release-service/%{version}/src/kasts-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6OpenGL
BuildRequires: libQt6Sql
BuildRequires: libQt6Widgets
BuildRequires: libQt6Xml
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libgstreamer-devel
BuildRequires: libkf6-breeze-icons-devel
BuildRequires: libkf6-kcolorscheme-devel
BuildRequires: libkf6-kconfig-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-kcrash-devel
BuildRequires: libkf6-kdbusaddons-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libkf6-kiconthemes-devel
BuildRequires: libkf6-kirigami-devel
BuildRequires: libkf6-kwindowsystem-devel
BuildRequires: libkf6-syndication-devel
BuildRequires: libkf6-threadweaver-devel
BuildRequires: libqtkeychain-qt6-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtag-devel
BuildRequires: libvlc-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qtmultimedia-devel
BuildRequires: qt6-qtsvg-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules

%description
Kasts is a convergent podcast application.


%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --with-qt --with-man --with-html --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/kasts
%{_libdir}/libKMediaSession.so
%{_kf6_qmldir}/org/kde/kmediasession/*
%{_datadir}/applications/org.kde.kasts.desktop
%{_datadir}/icons/hicolor/scalable/actions/media-playback-cloud.svg
%{_datadir}/icons/hicolor/scalable/apps/kasts*.svg
%{_datadir}/metainfo/org.kde.kasts.appdata.xml
%doc LICENSES

%changelog
* Thu Mar 27 2025 Automatic Build System <autodist@openmamba.org> 25.03.80-1mamba
- automatic version update by autodist

* Sat Mar 08 2025 Automatic Build System <autodist@openmamba.org> 24.12.3-1mamba
- automatic version update by autodist

* Fri Feb 07 2025 Automatic Build System <autodist@openmamba.org> 24.12.2-1mamba
- automatic version update by autodist

* Fri Jan 10 2025 Automatic Build System <autodist@openmamba.org> 24.12.1-1mamba
- automatic version update by autodist

* Thu Dec 12 2024 Automatic Build System <autodist@openmamba.org> 24.12.0-1mamba
- automatic version update by autodist

* Mon Dec 02 2024 Automatic Build System <autodist@openmamba.org> 24.11.90-1mamba
- automatic version update by autodist

* Mon Nov 25 2024 Automatic Build System <autodist@openmamba.org> 24.11.80-1mamba
- automatic version update by autodist

* Thu Nov 07 2024 Automatic Build System <autodist@openmamba.org> 24.08.3-1mamba
- automatic version update by autodist

* Thu Oct 10 2024 Automatic Build System <autodist@openmamba.org> 24.08.2-1mamba
- automatic version update by autodist

* Fri Sep 13 2024 Automatic Build System <autodist@openmamba.org> 24.08.1-1mamba
- automatic version update by autodist

* Fri Aug 23 2024 Automatic Build System <autodist@openmamba.org> 24.08.0-1mamba
- automatic version update by autodist

* Wed Aug 14 2024 Automatic Build System <autodist@openmamba.org> 24.07.90-1mamba
- automatic version update by autodist

* Thu Jul 04 2024 Automatic Build System <autodist@openmamba.org> 24.05.2-1mamba
- automatic version update by autodist

* Thu Jun 13 2024 Automatic Build System <autodist@openmamba.org> 24.05.1-1mamba
- automatic version update by autodist

* Tue May 28 2024 Automatic Build System <autodist@openmamba.org> 24.05.0-1mamba
- automatic version update by autodist

* Sat Apr 13 2024 Automatic Build System <autodist@openmamba.org> 24.02.2-1mamba
- automatic version update by autodist

* Fri Mar 22 2024 Automatic Build System <autodist@openmamba.org> 24.02.1-1mamba
- automatic version update by autodist

* Mon Mar 11 2024 Automatic Build System <autodist@openmamba.org> 24.02.0-1mamba
- automatic version update by autodist

* Sun Feb 18 2024 Automatic Build System <autodist@openmamba.org> 23.08.5-1mamba
- automatic version update by autodist

* Sat Dec 09 2023 Automatic Build System <autodist@mambasoft.it> 23.08.4-1mamba
- automatic version update by autodist

* Thu Nov 09 2023 Automatic Build System <autodist@mambasoft.it> 23.08.3-1mamba
- automatic version update by autodist

* Thu Oct 12 2023 Automatic Build System <autodist@mambasoft.it> 23.08.2-1mamba
- automatic version update by autodist

* Thu Sep 14 2023 Automatic Build System <autodist@mambasoft.it> 23.08.1-1mamba
- automatic version update by autodist

* Sun Aug 27 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 23.08.0-1mamba
- package created using the webbuild interface
